Bug 2107764 - wine-7.18 is available
Summary: wine-7.18 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: wine
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michael Cronenworth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-07-15 22:58 UTC by Upstream Release Monitoring
Modified: 2022-11-15 01:14 UTC (History)
4 users (show)

Fixed In Version: wine-7.18-2.fc36
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-10-22 13:50:56 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Wine HQ 53400 0 None None None 2022-10-05 17:06:50 UTC

Description Upstream Release Monitoring 2022-07-15 22:58:59 UTC
Releases retrieved: 7.13
Upstream release that is considered latest: 7.13
Current version/release in rawhide: 7.12-2.fc37
URL: http://winehq.org/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/5134/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/wine

Comment 1 Upstream Release Monitoring 2022-07-29 22:12:29 UTC
Releases retrieved: 7.14
Upstream release that is considered latest: 7.14
Current version/release in rawhide: 7.12-3.fc37
URL: http://winehq.org/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/5134/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/wine

Comment 2 Upstream Release Monitoring 2022-08-13 19:28:26 UTC
Releases retrieved: 7.15
Upstream release that is considered latest: 7.15
Current version/release in rawhide: 7.12-3.fc37
URL: http://winehq.org/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/5134/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/wine

Comment 3 Upstream Release Monitoring 2022-08-28 12:56:55 UTC
Releases retrieved: 7.16
Upstream release that is considered latest: 7.16
Current version/release in rawhide: 7.12-3.fc37
URL: http://winehq.org/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/5134/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/wine

Comment 4 Upstream Release Monitoring 2022-09-09 21:46:04 UTC
Releases retrieved: 7.17
Upstream release that is considered latest: 7.17
Current version/release in rawhide: 7.12-3.fc37
URL: http://winehq.org/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/5134/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/wine

Comment 5 Upstream Release Monitoring 2022-09-23 21:51:50 UTC
Releases retrieved: 7.18
Upstream release that is considered latest: 7.18
Current version/release in rawhide: 7.12-3.fc37
URL: http://winehq.org/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/5134/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/wine

Comment 6 Bruno Wolff III 2022-10-05 15:32:21 UTC
Is there a problem with recent Wine releases? I'm having an issue with a game update and was thinking about doing a local build to test the latest Wine to see if it fixes the issue. But I don't want to waste time if recent versions of Wine don't work well with Fedora.

Comment 7 Michael Cronenworth 2022-10-05 17:06:50 UTC
Wine Gecko is currently FTBFS. If I were to push a Wine update users would be prompted to download Wine Gecko and it would be downloaded in binary form from winehq.org.

The core issue is Python 3.11. The Wine Gecko build system (more specifically Mozilla's build system) uses Python. The version of Mozilla code base is also very old and will stay old due to a technical requirement I can't remember, but it was plugins or something.

Upstream bug: https://bugs.winehq.org/show_bug.cgi?id=53400

As you can see I've tried taking a stab at fixing the issue, but with Python 3.11 there are several major issues and the latest one I've tried to fix will take more time than I have to give.

Patches welcome.

Comment 8 Bruno Wolff III 2022-10-05 17:24:01 UTC
Thanks for the update. I have seen similar issues with other Mozilla stuff. 0AD had similar problems (with old bundled mozjs) that I was able to help with in one case. With the new release I think they use a newer mozjs that doesn't have the python problem. It looks like it might be worth me trying to get it too build somehow (likely not usable for Fedora builds) so that I can test if a newer Wine fixes my game update issue.

Comment 9 Michael Cronenworth 2022-10-11 19:33:07 UTC
I've forced mingw-wine-gecko to build with Python 3.10 as a workaround. This will buy us time (EOL October 2026). A wine update will come this week.

Comment 10 Fedora Update System 2022-10-12 00:45:24 UTC
FEDORA-2022-e3517556b0 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-e3517556b0

Comment 11 Fedora Update System 2022-10-12 00:45:50 UTC
FEDORA-2022-da3e41e946 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-da3e41e946

Comment 12 Fedora Update System 2022-10-12 09:38:59 UTC
FEDORA-2022-e3517556b0 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-e3517556b0`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-e3517556b0

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2022-10-12 13:02:37 UTC
FEDORA-2022-da3e41e946 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-da3e41e946`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-da3e41e946

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2022-10-14 10:30:34 UTC
FEDORA-2022-e3517556b0 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-e3517556b0`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-e3517556b0

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2022-10-14 14:37:39 UTC
FEDORA-2022-da3e41e946 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-da3e41e946`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-da3e41e946

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 16 Fedora Update System 2022-10-22 13:50:56 UTC
FEDORA-2022-da3e41e946 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 17 Fedora Update System 2022-11-15 01:14:55 UTC
FEDORA-2022-e3517556b0 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.